summaryrefslogtreecommitdiffstats
path: root/network/filezilla
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 22:54:46 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:46 +0200
commit1fe5cc762326ddcee28e0fd0c0a25c96b8646454 (patch)
tree2fef84dbdaa06ca98d35cbb140facd423b3c8ad7 /network/filezilla
parent17d2e912a06336f282d5bb5ff18ac835325f9719 (diff)
downloadslackbuilds-1fe5cc762326ddcee28e0fd0c0a25c96b8646454.tar.gz
slackbuilds-1fe5cc762326ddcee28e0fd0c0a25c96b8646454.tar.xz
network/filezilla: Added to 12.1 repository
Diffstat (limited to 'network/filezilla')
-rw-r--r--network/filezilla/README22
-rw-r--r--network/filezilla/filezilla.SlackBuild73
-rw-r--r--network/filezilla/filezilla.info8
-rw-r--r--network/filezilla/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/network/filezilla/README b/network/filezilla/README
new file mode 100644
index 0000000000..be5160d405
--- /dev/null
+++ b/network/filezilla/README
@@ -0,0 +1,22 @@
+FileZilla Client is a fast and reliable cross-platform FTP, FTPS and SFTP
+client with lots of useful features and an intuitive graphical user interface.
+
+Among others, the features of FileZilla include the following:
+
+ * Easy to use
+ * Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer
+ Protocol (SFTP)
+ * Cross-platform. Runs on Windows, Linux, *BSD, Mac OS X and more
+ * IPv6 support
+ * Available in many languages
+ * Supports resume and transfer of large files >4GB
+ * Powerful Site Manager and transfer queue
+ * Drag & drop support
+ * Configurable Speed limits
+ * Filename filters
+ * Network configuration wizard
+ * Remote file editing
+ * Keep-alive
+ * HTTP/1.1, SOCKS5 and FTP-Proxy support
+
+FileZilla requires wxGTK or wxPython, which are available at SlackBuilds.org.
diff --git a/network/filezilla/filezilla.SlackBuild b/network/filezilla/filezilla.SlackBuild
new file mode 100644
index 0000000000..ee09cc8281
--- /dev/null
+++ b/network/filezilla/filezilla.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for filezilla
+
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=filezilla
+VERSION=${VERSION:-3.1.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/FileZilla_${VERSION}_src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-manualupdatecheck
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/filezilla/docs/fzdefaults.xml.example $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/filezilla/docs
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/filezilla/filezilla.info b/network/filezilla/filezilla.info
new file mode 100644
index 0000000000..6f57d0c300
--- /dev/null
+++ b/network/filezilla/filezilla.info
@@ -0,0 +1,8 @@
+PRGNAM="filezilla"
+VERSION="3.1.5"
+HOMEPAGE="http://filezilla-project.org/"
+DOWNLOAD="http://downloads.sourceforge.net/filezilla/FileZilla_3.1.5_src.tar.bz2"
+MD5SUM="52c1536e77e0fc7b818e33a1933fe7f4"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/filezilla/slack-desc b/network/filezilla/slack-desc
new file mode 100644
index 0000000000..601721f40a
--- /dev/null
+++ b/network/filezilla/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+filezilla: filezilla (the free FTP solution)
+filezilla:
+filezilla: filezilla is a fast and reliable cross-platform FTP, FTPS and
+filezilla: SFTP client with lots of useful features and an intuitive
+filezilla: graphical user interface.
+filezilla:
+filezilla: Homepage: http://filezilla-project.org/
+filezilla:
+filezilla:
+filezilla:
+filezilla: